From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 4 January 2015<P>

I think I've become really cynical about romance. Maybe I have been since my big unrequited love in college. It all seems like egotism and basic other human needs to me, sometimes.
<HR>
From: <a href="/blend/av.cgi?id=1">Kirk, Blender-Keeper</a><BR>
Date: 4 January 2015<P>

New Blender is Here
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 4 January 2015<P>

Kirk, Thanks for the front page pick, and doing what you do in spite of your cynicism... may the season pass! <BR>
<BR>
As Maya Angelou says, "Have enough courage to trust love one more time and always one more time."<BR>
<BR>
Miracle, I think to love is "true" otherwise it is not love at all.<BR>
<BR>
Everything I love about love is in this gorgeous read:<BR>
<a href="http://lisacitore.com/poetry/if-you-want-to-change-the-world-love-a-man-2013/">http://lisacitore.com/poetry/if-you-want-to-change-the-world-love-a-man-2013/</a>
<HR>
From: <a href="/blend/av.cgi?id=2171">miracle</a><BR>
Date: 4 January 2015<P>

Thank you Just L
<HR>